#!/bin/bash -x
#SBATCH --nodes=4
#SBATCH --ntasks=64
#SBATCH --ntasks-per-node=16
#SBATCH --output=./slurm_dales-%j.out
#SBATCH --error=./slurm_error-%j.out
#SBATCH --time=24:00:00
#SBATCH --account=hku28
#SBATCH --partition=batch


# number of nodes in $SLURM_NNODES (default: 1)
# number of tasks in $SLURM_NTASKS (default: 1)
# number of tasks per node in $SLURM_NTASKS_PER_NODE (default: 1)
# number of threads per task in $SLURM_CPUS_PER_TASK (default: 1)

echo "# of nodes, tasks:" $SLURM_NNODES $SLURM_NTASKS



# load modules
module use /gpfs/software/juwels/otherstages    
module load Stages/2018b
module load GCC/8.2.0                       # gfortran
module load ParaStationMPI/5.2.1-1
module load netCDF-Fortran/4.4.4-serial
module load HDF
module load netCDF
module load CMake



srun ./dales

